%define module  XML-Twig
%define name    perl-%{module}
%define version 3.26
%define release %mkrel 1

Name:          %{name}
Version:       %{version}
Release:       %{release}
Summary:        A perl module for processing huge XML documents in tree mode
License:        Artistic
Group:          Development/Perl
Source:         http://www.xmltwig.com/xmltwig/%{module}-%{version}.tar.bz2
Url:            http://www.xmltwig.com/xmltwig/
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
BuildRequires:  perl(XML::Parser)
BuildRequires:  perl(XML::Handler::YAWriter)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
XML::Twig is a Perl module that subclasses XML-Parser to allow easy
processing of XML documents of all sizes.

%prep
%setup -q -n %{module}-%{version}

%build
# TODO: maintainer: package them if requested...
%{__perl} Makefile.PL INSTALLDIRS=vendor << EOF
n
n
n
EOF
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%{perl_vendorlib}/XML
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Tue Jul 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.26-1mdv2007.0
- New version 3.26

* Mon May 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.25-1mdv2007.0
- New release 3.25

* Mon Nov 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.23-1mdk
- new release (fix some bugs) 
- make test in %%check
- fix directory ownership
- better summary
- %%mkrel

* Mon Oct 10 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.22-1mdk
- New release 3.22

* Tue Aug 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.21-1mdk
- New release 3.21

* Thu Apr 14 2005 Guillaume Rousse <guillomovitch@mandrake.org> 3.17-1mdk
- New release 3.17
- buildrequires perl-XML-Handler-YAWriter
- spec cleanup

* Wed Feb 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.16-1mdk
- 3.16
- new utilities xml_*

* Thu Jan 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.15-2mdk
- Remove arch-dependent directories

* Mon Apr 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.15-1mdk
- new version
- let spechelper do its job
- dir ownership

* Sun Nov 30 2003 Stefan van der Eijk <stefan@eijk.nu> 3.11-1mdk
- 3.11

* Wed Sep 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.10-2mdk
- nuke unpackaged files, maintainer must *NOT* define
  _unpackaged_files_terminate_build to 0 in his rpmmacros!!!

* Thu Aug 21 2003 Franois Pons <fpons@mandrakesoft.com> 3.10-1mdk
- 3.10.

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.09-4mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.09-3mdk
- rebuild for new auto{prov,req}

* Fri Jan 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.09-2mdk
- Rebuild

* Thu Nov 28 2002 Franois Pons <fpons@mandrakesoft.com> 3.09-1mdk
- 3.09.

* Wed Oct 30 2002 Stefan van der Eijk <stefan@eijk.nu> 3.05-5mdk
- BuildRequires:    perl-XML-Parser

* Wed Aug 28 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.05-4mdk
- Requires: perl-XML-Parser

* Thu Jul 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.05-3mdk
- fix desc. (Brad Felmey)

* Wed Jul 17 2002 Pixel <pixel@mandrakesoft.com> 3.05-2mdk
- cleanup
- rebuild for new perl 5.8.0

* Tue Jul 16 2002 Camille Begnis <camille@mandrakesoft.com> 3.05-1mdk
- 3.05
- Changed URL
- Re-introduced for Borges (May not be needed in the future)

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 2.02-2mdk
- BuildRequires:    perl-devel

* Mon Jun 18 2001 Till Kamppeter <till@mandrakesoft.com> 2.02-1mdk
- Newly introduced for Foomatic.

